View Issue Details

This bug affects 1 person(s).
 254
IDProjectCategoryView StatusLast Update
08436Feature requestsSecuritypublic2022-09-16 16:02
Reportereloner Assigned Togabrieljenik  
PrioritynormalSeverityfeature 
Status newResolutionreopened 
Summary08436: Enable / disable users and fields to manage users
Description

I am using LimeSurvey for didactical purposes, so I have created a number of user1, user2, user3... users for my students.
The users have "create survey" permission.
As each student has the possibility to play with the program for 2-3 months it would be useful to add these options to Manage survey administrators --> Edit user:

  • a flag to activate/deactivate the user (so I could reset the user when I start a new class)
  • a field to set an expiry date for the password
  • a field to set an expiry date for the user
  • a field with "last login date" to display the last date they logged in the system
    This would facilitate administrators to manage their users.
TagsNo tags attached.
Bug heat254

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gabrieljenik

gabrieljenik

2022-09-12 22:38

manager   ~71687

Following were implemented.

  • a field to set an expiry date for the user
  • a field with "last login date" to display the last date they logged in the system
gabrieljenik

gabrieljenik

2022-09-12 22:41

manager   ~71688

The following:

a flag to activate/deactivate the user (so I could reset the user when I start a new class)

Can be implemented by using the expire date.

gabrieljenik

gabrieljenik

2022-09-12 22:42

manager   ~71689

a field to set an expiry date for the password

This should be tackled on a new ticket, as it relies on the auth plugin being used.
It can be different for LDAP than for AuthDB.

ollehar

ollehar

2022-09-16 15:20

administrator   ~71790

This one is merged, but I'm moving it to "new" for the acceptance test. :)

ollehar

ollehar

2022-09-16 16:02

administrator   ~71792

Need subtask functionality... :( One for acceptance test, one for manual update.

Personally I want to change Mantis to this: https://we.phorge.it/phame/post/view/1/going_public/ (Previously called Phabricator.)

Issue History

Date Modified Username Field Change
2013-12-09 09:02 eloner New Issue
2021-11-25 10:02 LimeBot Zoho Projects URL => https://projects.limesurvey.org/portal/limesurvey#taskdetail/85781000001335039/85781000001348001/85781000001460019
2021-11-25 10:02 galads Assigned To => galads
2021-11-25 10:02 galads Status new => assigned
2022-09-12 22:38 gabrieljenik Status assigned => ready for merge
2022-09-12 22:38 gabrieljenik Note Added: 71687
2022-09-12 22:38 gabrieljenik Bug heat 250 => 252
2022-09-12 22:41 gabrieljenik Note Added: 71688
2022-09-12 22:42 gabrieljenik Note Added: 71689
2022-09-16 13:35 ollehar Status ready for merge => resolved
2022-09-16 13:35 ollehar Resolution open => fixed
2022-09-16 15:19 ollehar Assigned To galads => gabrieljenik
2022-09-16 15:19 ollehar Status resolved => new
2022-09-16 15:19 ollehar Resolution fixed => reopened
2022-09-16 15:20 ollehar Note Added: 71790
2022-09-16 15:20 ollehar Bug heat 252 => 254
2022-09-16 16:02 ollehar Note Added: 71792